For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log in to the PayOS Dashboard
GuidesAPI ReferenceHelp Center
GuidesAPI ReferenceHelp Center
  • Authentication API
    • POSTRequest an Access Token
  • Payments API
  • Payment Rules API
  • Payouts API
  • Payers API [BETA]
      • GETList Stored Payment Methods
      • POSTAdd Stored Payment Method
      • DELDelete Stored Payment Method
  • Reporting API
  • Verification API
Log in to the PayOS Dashboard
LogoLogo
Payers API [BETA]Stored Payment Methods

Delete Stored Payment Method

DELETE
https://api.payos.money/v1/payers/:payerId/paymentMethods/:paymentMethodToken
DELETE
/v1/payers/:payerId/paymentMethods/:paymentMethodToken
$curl -X DELETE https://api.payos.money/v1/payers/payerId/paymentMethods/paymentMethodToken
1{
2 "analyticsId": "ANALYTICS_123456",
3 "createdAt": "2024-03-20T09:00:00Z",
4 "customerId": "CUSTOMER_123456",
5 "default": false,
6 "deleted": true,
7 "deletedAt": "2024-03-21T10:00:00Z",
8 "description": "User's primary card",
9 "isVerified": true,
10 "paymentMethodData": {
11 "last4Digits": "1234",
12 "expirationMonth": "12",
13 "expirationYear": "2026",
14 "binData": {
15 "network": "AMEX",
16 "issuerCountryCode": "AW",
17 "issuerCurrencyCode": "AED",
18 "regionalRestriction": "DOMESTIC_USE_ONLY",
19 "accountNumberType": "PRIMARY_ACCOUNT_NUMBER",
20 "accountFundingType": "CREDIT",
21 "prepaidReloadableIndicator": "RELOADABLE",
22 "productUsageType": "CONSUMER",
23 "productCode": "PROD_001",
24 "productName": "Standard Card"
25 }
26 },
27 "paymentMethodType": "PAYMENT_CARD",
28 "token": "TOKEN_abcdef123456",
29 "tokenType": "MULTI_USE"
30}
Deletes a stored payment method associated with a payer. This operation is useful for removing outdated or unused payment methods, ensuring that only valid and current payment options are available for transactions.
Was this page helpful?
Previous

Create Transactions Report

Next
Built with

Path parameters

payerIdstringRequired
The unique identifier for the payer.
paymentMethodTokenstringRequired
The token representing the payment method to delete.

Response

Payment method deleted successfully.
analyticsIdstring
Unique analytics identifier corresponding to a payment method.
createdAtstringformat: "date-time"

Creation date & time of the object (UTC).

customerIdstring
The ID representing the customer.
defaultboolean
Whether or not this payment method is the default.
deletedboolean
Whether or not this object has been revoked.
deletedAtstringformat: "date-time"

Date & time when this object was revoked (UTC).

descriptionstring
A friendly description given by the user.
isVerifiedboolean
Whether or not this payment method was verified.
paymentMethodDataobject
paymentMethodTypestring
Payment method type associated with a token.
tokenstring
The vaulted payment method token.
tokenTypestring

Type of the token (e.g., MULTI_USE).

Errors

400
Bad Request Error
404
Not Found Error